> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get commodities available in the system

> Get the list of all available commodity types



## OpenAPI

````yaml get /commodityList
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /commodityList:
    get:
      tags:
        - Reference Data
      summary: Get commodities available in the system
      description: Get the list of all available commodity types
      operationId: getCommodityList
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: Accept
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
          example: eyJraWQiOiJnRk5oTTh2RnRKWXVDVXU1S........
      responses:
        '200':
          description: return list of commodities
          content:
            application/json:
              schema:
                properties:
                  status:
                    description: Status of the request (success)
                    type: string
                  commodities:
                    description: list of all commodities stored
                    type: array
                    items:
                      type: string
                type: object
                example:
                  status: success
                  commodities: >-
                    ['agricultural_equipment': 'Agricultural Equipment',
                    'alcoholic_beverages': 'Alcoholic beverages (except beer and
                    wine)', 'appliances': 'Appliances (except TV and stereos)',
                    'arms_ammunition_fireworks': 'Arms, ammunition, fireworks']
        '400':
          description: error
          content:
            application/json:
              schema:
                properties:
                  status:
                    description: Status of the request (failed or success)
                    type: string
                type: object
                example:
                  status: failed
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````